io.vertx.redis.client

## Interface Command

-     public interface Command

  Auto generated API Commands to interact with REDIS.
  Version:
    redis_version:7.0.12
  Author:
    Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Command` | `ACL`
    `static Command` | `APPEND`
    `static Command` | `ASKING`
    `static Command` | `AUTH`
    `static Command` | `BF_ADD`
    `static Command` | `BF_CARD`
    `static Command` | `BF_DEBUG`
    `static Command` | `BF_EXISTS`
    `static Command` | `BF_INFO`
    `static Command` | `BF_INSERT`
    `static Command` | `BF_LOADCHUNK`
    `static Command` | `BF_MADD`
    `static Command` | `BF_MEXISTS`
    `static Command` | `BF_RESERVE`
    `static Command` | `BF_SCANDUMP`
    `static Command` | `BGREWRITEAOF`
    `static Command` | `BGSAVE`
    `static Command` | `BITCOUNT`
    `static Command` | `BITFIELD`
    `static Command` | `BITFIELD_RO`
    `static Command` | `BITOP`
    `static Command` | `BITPOS`
    `static Command` | `BLMOVE`
    `static Command` | `BLMPOP`
    `static Command` | `BLPOP`
    `static Command` | `BRPOP`
    `static Command` | `BRPOPLPUSH`
    `static Command` | `BZMPOP`
    `static Command` | `BZPOPMAX`
    `static Command` | `BZPOPMIN`
    `static Command` | `CF_ADD`
    `static Command` | `CF_ADDNX`
    `static Command` | `CF_COMPACT`
    `static Command` | `CF_COUNT`
    `static Command` | `CF_DEBUG`
    `static Command` | `CF_DEL`
    `static Command` | `CF_EXISTS`
    `static Command` | `CF_INFO`
    `static Command` | `CF_INSERT`
    `static Command` | `CF_INSERTNX`
    `static Command` | `CF_LOADCHUNK`
    `static Command` | `CF_MEXISTS`
    `static Command` | `CF_RESERVE`
    `static Command` | `CF_SCANDUMP`
    `static Command` | `CLIENT`
    `static Command` | `CLUSTER`
    `static Command` | `CMS_INCRBY`
    `static Command` | `CMS_INFO`
    `static Command` | `CMS_INITBYDIM`
    `static Command` | `CMS_INITBYPROB`
    `static Command` | `CMS_MERGE`
    `static Command` | `CMS_QUERY`
    `static Command` | `COMMAND`
    `static Command` | `CONFIG`
    `static Command` | `COPY`
    `static Command` | `DBSIZE`
    `static Command` | `DEBUG`
    `static Command` | `DECR`
    `static Command` | `DECRBY`
    `static Command` | `DEL`
    `static Command` | `DISCARD`
    `static Command` | `DUMP`
    `static Command` | `ECHO`
    `static Command` | `EVAL`
    `static Command` | `EVAL_RO`
    `static Command` | `EVALSHA`
    `static Command` | `EVALSHA_RO`
    `static Command` | `EXEC`
    `static Command` | `EXISTS`
    `static Command` | `EXPIRE`
    `static Command` | `EXPIREAT`
    `static Command` | `EXPIRETIME`
    `static Command` | `FAILOVER`
    `static Command` | `FCALL`
    `static Command` | `FCALL_RO`
    `static Command` | `FLUSHALL`
    `static Command` | `FLUSHDB`
    `static Command` | `FT__ALIASADDIFNX`
    `static Command` | `FT__ALIASDELIFX`
    `static Command` | `FT__ALTERIFNX`
    `static Command` | `FT__CREATEIFNX`
    `static Command` | `FT__DROPIFX`
    `static Command` | `FT__DROPINDEXIFX`
    `static Command` | `FT__LIST`
    `static Command` | `FT_ADD`
    `static Command` | `FT_AGGREGATE`
    `static Command` | `FT_ALIASADD`
    `static Command` | `FT_ALIASDEL`
    `static Command` | `FT_ALIASUPDATE`
    `static Command` | `FT_ALTER`
    `static Command` | `FT_CONFIG`
    `static Command` | `FT_CREATE`
    `static Command` | `FT_CURSOR`
    `static Command` | `FT_DEBUG`
    `static Command` | `FT_DEL`
    `static Command` | `FT_DICTADD`
    `static Command` | `FT_DICTDEL`
    `static Command` | `FT_DICTDUMP`
    `static Command` | `FT_DROP`
    `static Command` | `FT_DROPINDEX`
    `static Command` | `FT_EXPLAIN`
    `static Command` | `FT_EXPLAINCLI`
    `static Command` | `FT_GET`
    `static Command` | `FT_INFO`
    `static Command` | `FT_MGET`
    `static Command` | `FT_PROFILE`
    `static Command` | `FT_SAFEADD`
    `static Command` | `FT_SEARCH`
    `static Command` | `FT_SPELLCHECK`
    `static Command` | `FT_SUGADD`
    `static Command` | `FT_SUGDEL`
    `static Command` | `FT_SUGGET`
    `static Command` | `FT_SUGLEN`
    `static Command` | `FT_SYNADD`
    `static Command` | `FT_SYNDUMP`
    `static Command` | `FT_SYNUPDATE`
    `static Command` | `FT_TAGVALS`
    `static Command` | `FUNCTION`
    `static Command` | `GEOADD`
    `static Command` | `GEODIST`
    `static Command` | `GEOHASH`
    `static Command` | `GEOPOS`
    `static Command` | `GEORADIUS`
    `static Command` | `GEORADIUS_RO`
    `static Command` | `GEORADIUSBYMEMBER`
    `static Command` | `GEORADIUSBYMEMBER_RO`
    `static Command` | `GEOSEARCH`
    `static Command` | `GEOSEARCHSTORE`
    `static Command` | `GET`
    `static Command` | `GETBIT`
    `static Command` | `GETDEL`
    `static Command` | `GETEX`
    `static Command` | `GETRANGE`
    `static Command` | `GETSET`
    `static Command` | `GRAPH_BULK`
    `static Command` | `GRAPH_CONFIG`
    `static Command` | `GRAPH_DEBUG`
    `static Command` | `GRAPH_DELETE`
    `static Command` | `GRAPH_EXPLAIN`
    `static Command` | `GRAPH_LIST`
    `static Command` | `GRAPH_PROFILE`
    `static Command` | `GRAPH_QUERY`
    `static Command` | `GRAPH_RO_QUERY`
    `static Command` | `GRAPH_SLOWLOG`
    `static Command` | `HDEL`
    `static Command` | `HELLO`
    `static Command` | `HEXISTS`
    `static Command` | `HGET`
    `static Command` | `HGETALL`
    `static Command` | `HINCRBY`
    `static Command` | `HINCRBYFLOAT`
    `static Command` | `HKEYS`
    `static Command` | `HLEN`
    `static Command` | `HMGET`
    `static Command` | `HMSET`
    `static Command` | `HRANDFIELD`
    `static Command` | `HSCAN`
    `static Command` | `HSET`
    `static Command` | `HSETNX`
    `static Command` | `HSTRLEN`
    `static Command` | `HVALS`
    `static Command` | `INCR`
    `static Command` | `INCRBY`
    `static Command` | `INCRBYFLOAT`
    `static Command` | `INFO`
    `static Command` | `JSON_ARRAPPEND`
    `static Command` | `JSON_ARRINDEX`
    `static Command` | `JSON_ARRINSERT`
    `static Command` | `JSON_ARRLEN`
    `static Command` | `JSON_ARRPOP`
    `static Command` | `JSON_ARRTRIM`
    `static Command` | `JSON_CLEAR`
    `static Command` | `JSON_DEBUG`
    `static Command` | `JSON_DEL`
    `static Command` | `JSON_FORGET`
    `static Command` | `JSON_GET`
    `static Command` | `JSON_MGET`
    `static Command` | `JSON_NUMINCRBY`
    `static Command` | `JSON_NUMMULTBY`
    `static Command` | `JSON_NUMPOWBY`
    `static Command` | `JSON_OBJKEYS`
    `static Command` | `JSON_OBJLEN`
    `static Command` | `JSON_RESP`
    `static Command` | `JSON_SET`
    `static Command` | `JSON_STRAPPEND`
    `static Command` | `JSON_STRLEN`
    `static Command` | `JSON_TOGGLE`
    `static Command` | `JSON_TYPE`
    `static Command` | `KEYS`
    `static Command` | `LASTSAVE`
    `static Command` | `LATENCY`
    `static Command` | `LCS`
    `static Command` | `LINDEX`
    `static Command` | `LINSERT`
    `static Command` | `LLEN`
    `static Command` | `LMOVE`
    `static Command` | `LMPOP`
    `static Command` | `LOLWUT`
    `static Command` | `LPOP`
    `static Command` | `LPOS`
    `static Command` | `LPUSH`
    `static Command` | `LPUSHX`
    `static Command` | `LRANGE`
    `static Command` | `LREM`
    `static Command` | `LSET`
    `static Command` | `LTRIM`
    `static Command` | `MEMORY`
    `static Command` | `MGET`
    `static Command` | `MIGRATE`
    `static Command` | `MODULE`
    `static Command` | `MONITOR`
    `static Command` | `MOVE`
    `static Command` | `MSET`
    `static Command` | `MSETNX`
    `static Command` | `MULTI`
    `static Command` | `OBJECT`
    `static Command` | `PERSIST`
    `static Command` | `PEXPIRE`
    `static Command` | `PEXPIREAT`
    `static Command` | `PEXPIRETIME`
    `static Command` | `PFADD`
    `static Command` | `PFCOUNT`
    `static Command` | `PFDEBUG`
    `static Command` | `PFMERGE`
    `static Command` | `PFSELFTEST`
    `static Command` | `PING`
    `static Command` | `PSETEX`
    `static Command` | `PSUBSCRIBE`
    `static Command` | `PSYNC`
    `static Command` | `PTTL`
    `static Command` | `PUBLISH`
    `static Command` | `PUBSUB`
    `static Command` | `PUNSUBSCRIBE`
    `static Command` | `QUIT`
    `static Command` | `RANDOMKEY`
    `static Command` | `READONLY`
    `static Command` | `READWRITE`
    `static Command` | `RENAME`
    `static Command` | `RENAMENX`
    `static Command` | `REPLCONF`
    `static Command` | `REPLICAOF`
    `static Command` | `RESET`
    `static Command` | `RESTORE`
    `static Command` | `RESTORE_ASKING`
    `static Command` | `ROLE`
    `static Command` | `RPOP`
    `static Command` | `RPOPLPUSH`
    `static Command` | `RPUSH`
    `static Command` | `RPUSHX`
    `static Command` | `SADD`
    `static Command` | `SAVE`
    `static Command` | `SCAN`
    `static Command` | `SCARD`
    `static Command` | `SCRIPT`
    `static Command` | `SDIFF`
    `static Command` | `SDIFFSTORE`
    `static Command` | `SELECT`
    `static Command` | `SENTINEL`
    `static Command` | `SET`
    `static Command` | `SETBIT`
    `static Command` | `SETEX`
    `static Command` | `SETNX`
    `static Command` | `SETRANGE`
    `static Command` | `SHUTDOWN`
    `static Command` | `SINTER`
    `static Command` | `SINTERCARD`
    `static Command` | `SINTERSTORE`
    `static Command` | `SISMEMBER`
    `static Command` | `SLAVEOF`
    `static Command` | `SLOWLOG`
    `static Command` | `SMEMBERS`
    `static Command` | `SMISMEMBER`
    `static Command` | `SMOVE`
    `static Command` | `SORT`
    `static Command` | `SORT_RO`
    `static Command` | `SPOP`
    `static Command` | `SPUBLISH`
    `static Command` | `SRANDMEMBER`
    `static Command` | `SREM`
    `static Command` | `SSCAN`
    `static Command` | `SSUBSCRIBE`
    `static Command` | `STRLEN`
    `static Command` | `SUBSCRIBE`
    `static Command` | `SUBSTR`
    `static Command` | `SUNION`
    `static Command` | `SUNIONSTORE`
    `static Command` | `SUNSUBSCRIBE`
    `static Command` | `SWAPDB`
    `static Command` | `SYNC`
    `static Command` | `TDIGEST_ADD`
    `static Command` | `TDIGEST_BYRANK`
    `static Command` | `TDIGEST_BYREVRANK`
    `static Command` | `TDIGEST_CDF`
    `static Command` | `TDIGEST_CREATE`
    `static Command` | `TDIGEST_INFO`
    `static Command` | `TDIGEST_MAX`
    `static Command` | `TDIGEST_MERGE`
    `static Command` | `TDIGEST_MIN`
    `static Command` | `TDIGEST_QUANTILE`
    `static Command` | `TDIGEST_RANK`
    `static Command` | `TDIGEST_RESET`
    `static Command` | `TDIGEST_REVRANK`
    `static Command` | `TDIGEST_TRIMMED_MEAN`
    `static Command` | `TIME`
    `static Command` | `TIMESERIES_CLUSTERSET`
    `static Command` | `TIMESERIES_CLUSTERSETFROMSHARD`
    `static Command` | `TIMESERIES_HELLO`
    `static Command` | `TIMESERIES_INFOCLUSTER`
    `static Command` | `TIMESERIES_INNERCOMMUNICATION`
    `static Command` | `TIMESERIES_NETWORKTEST`
    `static Command` | `TIMESERIES_REFRESHCLUSTER`
    `static Command` | `TOPK_ADD`
    `static Command` | `TOPK_COUNT`
    `static Command` | `TOPK_INCRBY`
    `static Command` | `TOPK_INFO`
    `static Command` | `TOPK_LIST`
    `static Command` | `TOPK_QUERY`
    `static Command` | `TOPK_RESERVE`
    `static Command` | `TOUCH`
    `static Command` | `TS_ADD`
    `static Command` | `TS_ALTER`
    `static Command` | `TS_CREATE`
    `static Command` | `TS_CREATERULE`
    `static Command` | `TS_DECRBY`
    `static Command` | `TS_DEL`
    `static Command` | `TS_DELETERULE`
    `static Command` | `TS_GET`
    `static Command` | `TS_INCRBY`
    `static Command` | `TS_INFO`
    `static Command` | `TS_MADD`
    `static Command` | `TS_MGET`
    `static Command` | `TS_MRANGE`
    `static Command` | `TS_MREVRANGE`
    `static Command` | `TS_QUERYINDEX`
    `static Command` | `TS_RANGE`
    `static Command` | `TS_REVRANGE`
    `static Command` | `TTL`
    `static Command` | `TYPE`
    `static Command` | `UNLINK`
    `static Command` | `UNSUBSCRIBE`
    `static Command` | `UNWATCH`
    `static Command` | `WAIT`
    `static Command` | `WATCH`
    `static Command` | `XACK`
    `static Command` | `XADD`
    `static Command` | `XAUTOCLAIM`
    `static Command` | `XCLAIM`
    `static Command` | `XDEL`
    `static Command` | `XGROUP`
    `static Command` | `XINFO`
    `static Command` | `XLEN`
    `static Command` | `XPENDING`
    `static Command` | `XRANGE`
    `static Command` | `XREAD`
    `static Command` | `XREADGROUP`
    `static Command` | `XREVRANGE`
    `static Command` | `XSETID`
    `static Command` | `XTRIM`
    `static Command` | `ZADD`
    `static Command` | `ZCARD`
    `static Command` | `ZCOUNT`
    `static Command` | `ZDIFF`
    `static Command` | `ZDIFFSTORE`
    `static Command` | `ZINCRBY`
    `static Command` | `ZINTER`
    `static Command` | `ZINTERCARD`
    `static Command` | `ZINTERSTORE`
    `static Command` | `ZLEXCOUNT`
    `static Command` | `ZMPOP`
    `static Command` | `ZMSCORE`
    `static Command` | `ZPOPMAX`
    `static Command` | `ZPOPMIN`
    `static Command` | `ZRANDMEMBER`
    `static Command` | `ZRANGE`
    `static Command` | `ZRANGEBYLEX`
    `static Command` | `ZRANGEBYSCORE`
    `static Command` | `ZRANGESTORE`
    `static Command` | `ZRANK`
    `static Command` | `ZREM`
    `static Command` | `ZREMRANGEBYLEX`
    `static Command` | `ZREMRANGEBYRANK`
    `static Command` | `ZREMRANGEBYSCORE`
    `static Command` | `ZREVRANGE`
    `static Command` | `ZREVRANGEBYLEX`
    `static Command` | `ZREVRANGEBYSCORE`
    `static Command` | `ZREVRANK`
    `static Command` | `ZSCAN`
    `static Command` | `ZSCORE`
    `static Command` | `ZUNION`
    `static Command` | `ZUNIONSTORE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Command` | `create(String command)` Generic command generator for extensions.

- - ### Field Detail

    - #### ACL

          static final Command ACL

    - #### APPEND

          static final Command APPEND

    - #### ASKING

          static final Command ASKING

    - #### AUTH

          static final Command AUTH

    - #### BF_ADD

          static final Command BF_ADD

    - #### BF_CARD

          static final Command BF_CARD

    - #### BF_DEBUG

          static final Command BF_DEBUG

    - #### BF_EXISTS

          static final Command BF_EXISTS

    - #### BF_INFO

          static final Command BF_INFO

    - #### BF_INSERT

          static final Command BF_INSERT

    - #### BF_LOADCHUNK

          static final Command BF_LOADCHUNK

    - #### BF_MADD

          static final Command BF_MADD

    - #### BF_MEXISTS

          static final Command BF_MEXISTS

    - #### BF_RESERVE

          static final Command BF_RESERVE

    - #### BF_SCANDUMP

          static final Command BF_SCANDUMP

    - #### BGREWRITEAOF

          static final Command BGREWRITEAOF

    - #### BGSAVE

          static final Command BGSAVE

    - #### BITCOUNT

          static final Command BITCOUNT

    - #### BITFIELD

          static final Command BITFIELD

    - #### BITFIELD_RO

          static final Command BITFIELD_RO

    - #### BITOP

          static final Command BITOP

    - #### BITPOS

          static final Command BITPOS

    - #### BLMOVE

          static final Command BLMOVE

    - #### BLMPOP

          static final Command BLMPOP

    - #### BLPOP

          static final Command BLPOP

    - #### BRPOP

          static final Command BRPOP

    - #### BRPOPLPUSH

          static final Command BRPOPLPUSH

    - #### BZMPOP

          static final Command BZMPOP

    - #### BZPOPMAX

          static final Command BZPOPMAX

    - #### BZPOPMIN

          static final Command BZPOPMIN

    - #### CF_ADD

          static final Command CF_ADD

    - #### CF_ADDNX

          static final Command CF_ADDNX

    - #### CF_COMPACT

          static final Command CF_COMPACT

    - #### CF_COUNT

          static final Command CF_COUNT

    - #### CF_DEBUG

          static final Command CF_DEBUG

    - #### CF_DEL

          static final Command CF_DEL

    - #### CF_EXISTS

          static final Command CF_EXISTS

    - #### CF_INFO

          static final Command CF_INFO

    - #### CF_INSERT

          static final Command CF_INSERT

    - #### CF_INSERTNX

          static final Command CF_INSERTNX

    - #### CF_LOADCHUNK

          static final Command CF_LOADCHUNK

    - #### CF_MEXISTS

          static final Command CF_MEXISTS

    - #### CF_RESERVE

          static final Command CF_RESERVE

    - #### CF_SCANDUMP

          static final Command CF_SCANDUMP

    - #### CLIENT

          static final Command CLIENT

    - #### CLUSTER

          static final Command CLUSTER

    - #### CMS_INCRBY

          static final Command CMS_INCRBY

    - #### CMS_INFO

          static final Command CMS_INFO

    - #### CMS_INITBYDIM

          static final Command CMS_INITBYDIM

    - #### CMS_INITBYPROB

          static final Command CMS_INITBYPROB

    - #### CMS_MERGE

          static final Command CMS_MERGE

    - #### CMS_QUERY

          static final Command CMS_QUERY

    - #### COMMAND

          static final Command COMMAND

    - #### CONFIG

          static final Command CONFIG

    - #### COPY

          static final Command COPY

    - #### DBSIZE

          static final Command DBSIZE

    - #### DEBUG

          static final Command DEBUG

    - #### DECR

          static final Command DECR

    - #### DECRBY

          static final Command DECRBY

    - #### DEL

          static final Command DEL

    - #### DISCARD

          static final Command DISCARD

    - #### DUMP

          static final Command DUMP

    - #### ECHO

          static final Command ECHO

    - #### EVAL

          static final Command EVAL

    - #### EVALSHA

          static final Command EVALSHA

    - #### EVALSHA_RO

          static final Command EVALSHA_RO

    - #### EVAL_RO

          static final Command EVAL_RO

    - #### EXEC

          static final Command EXEC

    - #### EXISTS

          static final Command EXISTS

    - #### EXPIRE

          static final Command EXPIRE

    - #### EXPIREAT

          static final Command EXPIREAT

    - #### EXPIRETIME

          static final Command EXPIRETIME

    - #### FAILOVER

          static final Command FAILOVER

    - #### FCALL

          static final Command FCALL

    - #### FCALL_RO

          static final Command FCALL_RO

    - #### FLUSHALL

          static final Command FLUSHALL

    - #### FLUSHDB

          static final Command FLUSHDB

    - #### FT_ADD

          static final Command FT_ADD

    - #### FT_AGGREGATE

          static final Command FT_AGGREGATE

    - #### FT_ALIASADD

          static final Command FT_ALIASADD

    - #### FT_ALIASDEL

          static final Command FT_ALIASDEL

    - #### FT_ALIASUPDATE

          static final Command FT_ALIASUPDATE

    - #### FT_ALTER

          static final Command FT_ALTER

    - #### FT_CONFIG

          static final Command FT_CONFIG

    - #### FT_CREATE

          static final Command FT_CREATE

    - #### FT_CURSOR

          static final Command FT_CURSOR

    - #### FT_DEBUG

          static final Command FT_DEBUG

    - #### FT_DEL

          static final Command FT_DEL

    - #### FT_DICTADD

          static final Command FT_DICTADD

    - #### FT_DICTDEL

          static final Command FT_DICTDEL

    - #### FT_DICTDUMP

          static final Command FT_DICTDUMP

    - #### FT_DROP

          static final Command FT_DROP

    - #### FT_DROPINDEX

          static final Command FT_DROPINDEX

    - #### FT_EXPLAIN

          static final Command FT_EXPLAIN

    - #### FT_EXPLAINCLI

          static final Command FT_EXPLAINCLI

    - #### FT_GET

          static final Command FT_GET

    - #### FT_INFO

          static final Command FT_INFO

    - #### FT_MGET

          static final Command FT_MGET

    - #### FT_PROFILE

          static final Command FT_PROFILE

    - #### FT_SAFEADD

          static final Command FT_SAFEADD

    - #### FT_SEARCH

          static final Command FT_SEARCH

    - #### FT_SPELLCHECK

          static final Command FT_SPELLCHECK

    - #### FT_SUGADD

          static final Command FT_SUGADD

    - #### FT_SUGDEL

          static final Command FT_SUGDEL

    - #### FT_SUGGET

          static final Command FT_SUGGET

    - #### FT_SUGLEN

          static final Command FT_SUGLEN

    - #### FT_SYNADD

          static final Command FT_SYNADD

    - #### FT_SYNDUMP

          static final Command FT_SYNDUMP

    - #### FT_SYNUPDATE

          static final Command FT_SYNUPDATE

    - #### FT_TAGVALS

          static final Command FT_TAGVALS

    - #### FT__ALIASADDIFNX

          static final Command FT__ALIASADDIFNX

    - #### FT__ALIASDELIFX

          static final Command FT__ALIASDELIFX

    - #### FT__ALTERIFNX

          static final Command FT__ALTERIFNX

    - #### FT__CREATEIFNX

          static final Command FT__CREATEIFNX

    - #### FT__DROPIFX

          static final Command FT__DROPIFX

    - #### FT__DROPINDEXIFX

          static final Command FT__DROPINDEXIFX

    - #### FT__LIST

          static final Command FT__LIST

    - #### FUNCTION

          static final Command FUNCTION

    - #### GEOADD

          static final Command GEOADD

    - #### GEODIST

          static final Command GEODIST

    - #### GEOHASH

          static final Command GEOHASH

    - #### GEOPOS

          static final Command GEOPOS

    - #### GEORADIUS

          static final Command GEORADIUS

    - #### GEORADIUSBYMEMBER

          static final Command GEORADIUSBYMEMBER

    - #### GEORADIUSBYMEMBER_RO

          static final Command GEORADIUSBYMEMBER_RO

    - #### GEORADIUS_RO

          static final Command GEORADIUS_RO

    - #### GEOSEARCH

          static final Command GEOSEARCH

    - #### GEOSEARCHSTORE

          static final Command GEOSEARCHSTORE

    - #### GET

          static final Command GET

    - #### GETBIT

          static final Command GETBIT

    - #### GETDEL

          static final Command GETDEL

    - #### GETEX

          static final Command GETEX

    - #### GETRANGE

          static final Command GETRANGE

    - #### GETSET

          static final Command GETSET

    - #### GRAPH_BULK

          static final Command GRAPH_BULK

    - #### GRAPH_CONFIG

          static final Command GRAPH_CONFIG

    - #### GRAPH_DEBUG

          static final Command GRAPH_DEBUG

    - #### GRAPH_DELETE

          static final Command GRAPH_DELETE

    - #### GRAPH_EXPLAIN

          static final Command GRAPH_EXPLAIN

    - #### GRAPH_LIST

          static final Command GRAPH_LIST

    - #### GRAPH_PROFILE

          static final Command GRAPH_PROFILE

    - #### GRAPH_QUERY

          static final Command GRAPH_QUERY

    - #### GRAPH_RO_QUERY

          static final Command GRAPH_RO_QUERY

    - #### GRAPH_SLOWLOG

          static final Command GRAPH_SLOWLOG

    - #### HDEL

          static final Command HDEL

    - #### HELLO

          static final Command HELLO

    - #### HEXISTS

          static final Command HEXISTS

    - #### HGET

          static final Command HGET

    - #### HGETALL

          static final Command HGETALL

    - #### HINCRBY

          static final Command HINCRBY

    - #### HINCRBYFLOAT

          static final Command HINCRBYFLOAT

    - #### HKEYS

          static final Command HKEYS

    - #### HLEN

          static final Command HLEN

    - #### HMGET

          static final Command HMGET

    - #### HMSET

          static final Command HMSET

    - #### HRANDFIELD

          static final Command HRANDFIELD

    - #### HSCAN

          static final Command HSCAN

    - #### HSET

          static final Command HSET

    - #### HSETNX

          static final Command HSETNX

    - #### HSTRLEN

          static final Command HSTRLEN

    - #### HVALS

          static final Command HVALS

    - #### INCR

          static final Command INCR

    - #### INCRBY

          static final Command INCRBY

    - #### INCRBYFLOAT

          static final Command INCRBYFLOAT

    - #### INFO

          static final Command INFO

    - #### JSON_ARRAPPEND

          static final Command JSON_ARRAPPEND

    - #### JSON_ARRINDEX

          static final Command JSON_ARRINDEX

    - #### JSON_ARRINSERT

          static final Command JSON_ARRINSERT

    - #### JSON_ARRLEN

          static final Command JSON_ARRLEN

    - #### JSON_ARRPOP

          static final Command JSON_ARRPOP

    - #### JSON_ARRTRIM

          static final Command JSON_ARRTRIM

    - #### JSON_CLEAR

          static final Command JSON_CLEAR

    - #### JSON_DEBUG

          static final Command JSON_DEBUG

    - #### JSON_DEL

          static final Command JSON_DEL

    - #### JSON_FORGET

          static final Command JSON_FORGET

    - #### JSON_GET

          static final Command JSON_GET

    - #### JSON_MGET

          static final Command JSON_MGET

    - #### JSON_NUMINCRBY

          static final Command JSON_NUMINCRBY

    - #### JSON_NUMMULTBY

          static final Command JSON_NUMMULTBY

    - #### JSON_NUMPOWBY

          static final Command JSON_NUMPOWBY

    - #### JSON_OBJKEYS

          static final Command JSON_OBJKEYS

    - #### JSON_OBJLEN

          static final Command JSON_OBJLEN

    - #### JSON_RESP

          static final Command JSON_RESP

    - #### JSON_SET

          static final Command JSON_SET

    - #### JSON_STRAPPEND

          static final Command JSON_STRAPPEND

    - #### JSON_STRLEN

          static final Command JSON_STRLEN

    - #### JSON_TOGGLE

          static final Command JSON_TOGGLE

    - #### JSON_TYPE

          static final Command JSON_TYPE

    - #### KEYS

          static final Command KEYS

    - #### LASTSAVE

          static final Command LASTSAVE

    - #### LATENCY

          static final Command LATENCY

    - #### LCS

          static final Command LCS

    - #### LINDEX

          static final Command LINDEX

    - #### LINSERT

          static final Command LINSERT

    - #### LLEN

          static final Command LLEN

    - #### LMOVE

          static final Command LMOVE

    - #### LMPOP

          static final Command LMPOP

    - #### LOLWUT

          static final Command LOLWUT

    - #### LPOP

          static final Command LPOP

    - #### LPOS

          static final Command LPOS

    - #### LPUSH

          static final Command LPUSH

    - #### LPUSHX

          static final Command LPUSHX

    - #### LRANGE

          static final Command LRANGE

    - #### LREM

          static final Command LREM

    - #### LSET

          static final Command LSET

    - #### LTRIM

          static final Command LTRIM

    - #### MEMORY

          static final Command MEMORY

    - #### MGET

          static final Command MGET

    - #### MIGRATE

          static final Command MIGRATE

    - #### MODULE

          static final Command MODULE

    - #### MONITOR

          static final Command MONITOR

    - #### MOVE

          static final Command MOVE

    - #### MSET

          static final Command MSET

    - #### MSETNX

          static final Command MSETNX

    - #### MULTI

          static final Command MULTI

    - #### OBJECT

          static final Command OBJECT

    - #### PERSIST

          static final Command PERSIST

    - #### PEXPIRE

          static final Command PEXPIRE

    - #### PEXPIREAT

          static final Command PEXPIREAT

    - #### PEXPIRETIME

          static final Command PEXPIRETIME

    - #### PFADD

          static final Command PFADD

    - #### PFCOUNT

          static final Command PFCOUNT

    - #### PFDEBUG

          static final Command PFDEBUG

    - #### PFMERGE

          static final Command PFMERGE

    - #### PFSELFTEST

          static final Command PFSELFTEST

    - #### PING

          static final Command PING

    - #### PSETEX

          static final Command PSETEX

    - #### PSUBSCRIBE

          static final Command PSUBSCRIBE

    - #### PSYNC

          static final Command PSYNC

    - #### PTTL

          static final Command PTTL

    - #### PUBLISH

          static final Command PUBLISH

    - #### PUBSUB

          static final Command PUBSUB

    - #### PUNSUBSCRIBE

          static final Command PUNSUBSCRIBE

    - #### QUIT

          static final Command QUIT

    - #### RANDOMKEY

          static final Command RANDOMKEY

    - #### READONLY

          static final Command READONLY

    - #### READWRITE

          static final Command READWRITE

    - #### RENAME

          static final Command RENAME

    - #### RENAMENX

          static final Command RENAMENX

    - #### REPLCONF

          static final Command REPLCONF

    - #### REPLICAOF

          static final Command REPLICAOF

    - #### RESET

          static final Command RESET

    - #### RESTORE

          static final Command RESTORE

    - #### RESTORE_ASKING

          static final Command RESTORE_ASKING

    - #### ROLE

          static final Command ROLE

    - #### RPOP

          static final Command RPOP

    - #### RPOPLPUSH

          static final Command RPOPLPUSH

    - #### RPUSH

          static final Command RPUSH

    - #### RPUSHX

          static final Command RPUSHX

    - #### SADD

          static final Command SADD

    - #### SAVE

          static final Command SAVE

    - #### SCAN

          static final Command SCAN

    - #### SCARD

          static final Command SCARD

    - #### SCRIPT

          static final Command SCRIPT

    - #### SDIFF

          static final Command SDIFF

    - #### SDIFFSTORE

          static final Command SDIFFSTORE

    - #### SELECT

          static final Command SELECT

    - #### SET

          static final Command SET

    - #### SETBIT

          static final Command SETBIT

    - #### SETEX

          static final Command SETEX

    - #### SETNX

          static final Command SETNX

    - #### SETRANGE

          static final Command SETRANGE

    - #### SHUTDOWN

          static final Command SHUTDOWN

    - #### SINTER

          static final Command SINTER

    - #### SINTERCARD

          static final Command SINTERCARD

    - #### SINTERSTORE

          static final Command SINTERSTORE

    - #### SISMEMBER

          static final Command SISMEMBER

    - #### SLAVEOF

          static final Command SLAVEOF

    - #### SLOWLOG

          static final Command SLOWLOG

    - #### SMEMBERS

          static final Command SMEMBERS

    - #### SMISMEMBER

          static final Command SMISMEMBER

    - #### SMOVE

          static final Command SMOVE

    - #### SORT

          static final Command SORT

    - #### SORT_RO

          static final Command SORT_RO

    - #### SPOP

          static final Command SPOP

    - #### SPUBLISH

          static final Command SPUBLISH

    - #### SRANDMEMBER

          static final Command SRANDMEMBER

    - #### SREM

          static final Command SREM

    - #### SSCAN

          static final Command SSCAN

    - #### SSUBSCRIBE

          static final Command SSUBSCRIBE

    - #### STRLEN

          static final Command STRLEN

    - #### SUBSCRIBE

          static final Command SUBSCRIBE

    - #### SUBSTR

          static final Command SUBSTR

    - #### SUNION

          static final Command SUNION

    - #### SUNIONSTORE

          static final Command SUNIONSTORE

    - #### SUNSUBSCRIBE

          static final Command SUNSUBSCRIBE

    - #### SWAPDB

          static final Command SWAPDB

    - #### SYNC

          static final Command SYNC

    - #### TDIGEST_ADD

          static final Command TDIGEST_ADD

    - #### TDIGEST_BYRANK

          static final Command TDIGEST_BYRANK

    - #### TDIGEST_BYREVRANK

          static final Command TDIGEST_BYREVRANK

    - #### TDIGEST_CDF

          static final Command TDIGEST_CDF

    - #### TDIGEST_CREATE

          static final Command TDIGEST_CREATE

    - #### TDIGEST_INFO

          static final Command TDIGEST_INFO

    - #### TDIGEST_MAX

          static final Command TDIGEST_MAX

    - #### TDIGEST_MERGE

          static final Command TDIGEST_MERGE

    - #### TDIGEST_MIN

          static final Command TDIGEST_MIN

    - #### TDIGEST_QUANTILE

          static final Command TDIGEST_QUANTILE

    - #### TDIGEST_RANK

          static final Command TDIGEST_RANK

    - #### TDIGEST_RESET

          static final Command TDIGEST_RESET

    - #### TDIGEST_REVRANK

          static final Command TDIGEST_REVRANK

    - #### TDIGEST_TRIMMED_MEAN

          static final Command TDIGEST_TRIMMED_MEAN

    - #### TIME

          static final Command TIME

    - #### TIMESERIES_CLUSTERSET

          static final Command TIMESERIES_CLUSTERSET

    - #### TIMESERIES_CLUSTERSETFROMSHARD

          static final Command TIMESERIES_CLUSTERSETFROMSHARD

    - #### TIMESERIES_HELLO

          static final Command TIMESERIES_HELLO

    - #### TIMESERIES_INFOCLUSTER

          static final Command TIMESERIES_INFOCLUSTER

    - #### TIMESERIES_INNERCOMMUNICATION

          static final Command TIMESERIES_INNERCOMMUNICATION

    - #### TIMESERIES_NETWORKTEST

          static final Command TIMESERIES_NETWORKTEST

    - #### TIMESERIES_REFRESHCLUSTER

          static final Command TIMESERIES_REFRESHCLUSTER

    - #### TOPK_ADD

          static final Command TOPK_ADD

    - #### TOPK_COUNT

          static final Command TOPK_COUNT

    - #### TOPK_INCRBY

          static final Command TOPK_INCRBY

    - #### TOPK_INFO

          static final Command TOPK_INFO

    - #### TOPK_LIST

          static final Command TOPK_LIST

    - #### TOPK_QUERY

          static final Command TOPK_QUERY

    - #### TOPK_RESERVE

          static final Command TOPK_RESERVE

    - #### TOUCH

          static final Command TOUCH

    - #### TS_ADD

          static final Command TS_ADD

    - #### TS_ALTER

          static final Command TS_ALTER

    - #### TS_CREATE

          static final Command TS_CREATE

    - #### TS_CREATERULE

          static final Command TS_CREATERULE

    - #### TS_DECRBY

          static final Command TS_DECRBY

    - #### TS_DEL

          static final Command TS_DEL

    - #### TS_DELETERULE

          static final Command TS_DELETERULE

    - #### TS_GET

          static final Command TS_GET

    - #### TS_INCRBY

          static final Command TS_INCRBY

    - #### TS_INFO

          static final Command TS_INFO

    - #### TS_MADD

          static final Command TS_MADD

    - #### TS_MGET

          static final Command TS_MGET

    - #### TS_MRANGE

          static final Command TS_MRANGE

    - #### TS_MREVRANGE

          static final Command TS_MREVRANGE

    - #### TS_QUERYINDEX

          static final Command TS_QUERYINDEX

    - #### TS_RANGE

          static final Command TS_RANGE

    - #### TS_REVRANGE

          static final Command TS_REVRANGE

    - #### TTL

          static final Command TTL

    - #### TYPE

          static final Command TYPE

    - #### UNLINK

          static final Command UNLINK

    - #### UNSUBSCRIBE

          static final Command UNSUBSCRIBE

    - #### UNWATCH

          static final Command UNWATCH

    - #### WAIT

          static final Command WAIT

    - #### WATCH

          static final Command WATCH

    - #### XACK

          static final Command XACK

    - #### XADD

          static final Command XADD

    - #### XAUTOCLAIM

          static final Command XAUTOCLAIM

    - #### XCLAIM

          static final Command XCLAIM

    - #### XDEL

          static final Command XDEL

    - #### XGROUP

          static final Command XGROUP

    - #### XINFO

          static final Command XINFO

    - #### XLEN

          static final Command XLEN

    - #### XPENDING

          static final Command XPENDING

    - #### XRANGE

          static final Command XRANGE

    - #### XREAD

          static final Command XREAD

    - #### XREADGROUP

          static final Command XREADGROUP

    - #### XREVRANGE

          static final Command XREVRANGE

    - #### XSETID

          static final Command XSETID

    - #### XTRIM

          static final Command XTRIM

    - #### ZADD

          static final Command ZADD

    - #### ZCARD

          static final Command ZCARD

    - #### ZCOUNT

          static final Command ZCOUNT

    - #### ZDIFF

          static final Command ZDIFF

    - #### ZDIFFSTORE

          static final Command ZDIFFSTORE

    - #### ZINCRBY

          static final Command ZINCRBY

    - #### ZINTER

          static final Command ZINTER

    - #### ZINTERCARD

          static final Command ZINTERCARD

    - #### ZINTERSTORE

          static final Command ZINTERSTORE

    - #### ZLEXCOUNT

          static final Command ZLEXCOUNT

    - #### ZMPOP

          static final Command ZMPOP

    - #### ZMSCORE

          static final Command ZMSCORE

    - #### ZPOPMAX

          static final Command ZPOPMAX

    - #### ZPOPMIN

          static final Command ZPOPMIN

    - #### ZRANDMEMBER

          static final Command ZRANDMEMBER

    - #### ZRANGE

          static final Command ZRANGE

    - #### ZRANGEBYLEX

          static final Command ZRANGEBYLEX

    - #### ZRANGEBYSCORE

          static final Command ZRANGEBYSCORE

    - #### ZRANGESTORE

          static final Command ZRANGESTORE

    - #### ZRANK

          static final Command ZRANK

    - #### ZREM

          static final Command ZREM

    - #### ZREMRANGEBYLEX

          static final Command ZREMRANGEBYLEX

    - #### ZREMRANGEBYRANK

          static final Command ZREMRANGEBYRANK

    - #### ZREMRANGEBYSCORE

          static final Command ZREMRANGEBYSCORE

    - #### ZREVRANGE

          static final Command ZREVRANGE

    - #### ZREVRANGEBYLEX

          static final Command ZREVRANGEBYLEX

    - #### ZREVRANGEBYSCORE

          static final Command ZREVRANGEBYSCORE

    - #### ZREVRANK

          static final Command ZREVRANK

    - #### ZSCAN

          static final Command ZSCAN

    - #### ZSCORE

          static final Command ZSCORE

    - #### ZUNION

          static final Command ZUNION

    - #### ZUNIONSTORE

          static final Command ZUNIONSTORE

    - #### SENTINEL

          static final Command SENTINEL

  - ### Method Detail

    - #### create

          static Command create(String command)

      Generic command generator for extensions.

      To avoid inconsistent behavior, when `command` is one of the known commands for which a static instance exists, the static instance is returned.

      Parameters:
        `command` - command name
      Returns:
        the cacheable immutable command instance

Copyright © 2024 Eclipse. All rights reserved.